Khách sạn
Room types of a hotel. Pass any `rateKey` from the same search so the right supplier answers.
get/v1/hotels/{hotelCode}/rooms
- Yêu cầu xác thực
Tham số
| Tên | Vị trí | Kiểu | Mô tả |
|---|---|---|---|
| hotelCode* | đường dẫn | string | |
| rateKey | truy vấn | string |
Phản hồi
200OKHotelRoomsResponse
- hotelCodestring
- hotelNamestringcó thể null
- HotelRoom[]
- namestringcó thể null
- bedTypestringcó thể null
- HotelRate[]
- RoomType[]
- codestringcó thể null
- namestringcó thể null
- bedTypestringcó thể null
- maxOccupancyinteger (int32)
Mẫu mã
Các chương trình hoàn chỉnh ký yêu cầu đúng theo cách gateway xác minh. Thay YOUR_KEY_ID và YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"